# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++ zlib-devel
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define major_version 0.6

Summary:	A project manager and rich text editor for writers
Name:		plume-creator
Version:	0.66.1
Release:	alt1_5
License:	GPLv3+
Group:		Publishing
URL:		http://www.plume-creator.eu/
Source0:	http://sourceforge.net/projects/plume-creator/files/%{major_version}/%{name}-%{version}-src.tar.gz
Patch0:		%{name}-icon.patch
BuildRequires:	libqt4-devel qt5-declarative-devel qt5-tools
BuildRequires:	pkgconfig(libzip)
BuildRequires:	pkgconfig(hunspell)
Source44: import.info

%description
With %{name}, organize your writing projects. Scenes, notes, characters,...
Rich Text editing, full screen editing and multiple projects supported.

%prep
%setup -cqn %{name}-%{version}
%patch0 -p0

%build
%qmake_qt4 %{name}.pro
%make

%install
%define apps       %{_datadir}/applications/
%define pixmaps    %{_datadir}/pixmaps/
%define locale     %{_datadir}/%{name}/locale/
 
 
mkdir -p %{buildroot}%{_bindir}/
cp -p %{name} %{buildroot}%{_bindir}/
 
mkdir -p %{buildroot}%{apps}
cp -p resources/unix/applications/%{name}.desktop %{buildroot}%{apps}

mkdir -p %{buildroot}%{pixmaps}
cp -rp resources/images/icons/hicolor/* %{buildroot}%{pixmaps}
 
mkdir -p %{buildroot}%{locale}
cp -p translations/*.qm %{buildroot}%{locale}

%files
%{_bindir}/%{name}
%{apps}%{name}.desktop
%{pixmaps}*
%{locale}*.qm



%changelog
* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 0.66.1-alt1_5
- update by mgaimport

* Sun Mar 18 2018 Igor Vlasenko <viy@altlinux.ru> 0.66.1-alt1_4
- new version

